师阳 2015-07-20 10:55:03 13662次浏览 9条评论 12 10 0

yii2-qiniu https://github.com/crazyfd/yii2-qiniu

file upload for Yii Framework 2

php > 5.5

How to install?

To use this extension, you may insert the following code:

Get it via composer by adding the package to your composer.json:

{
  "require": {
    "crazyfd/yii2-qiniu": "dev-master"
  }
}
php composer.phar update

Usage

<?php 
use crazyfd\qiniu\Qiniu;
$qiniu = new Qiniu($ak, $sk,$domain, $bucket);
$key = time();
$qiniu->uploadFile($_FILES['tmp_name'],$key);
$url = $qiniu->getLink($key);
觉得很赞
亿速云
  • 评论于 2015-07-29 12:23 举报

    七牛现在免费么?

  • 评论于 2015-08-03 12:13 举报

    每月10G流量免费

  • 评论于 2015-08-07 12:07 举报

    cool~ 我在YII1 也封装了7牛的库~

  • 评论于 2015-08-09 11:05 举报

    谢谢楼主。

  • 评论于 2016-10-09 09:34 举报

    domain和bucket分别是什么啊

    1 条回复
    评论于 2016-12-13 14:17 回复

    七牛给的测试域名和自定资源空间名

  • 评论于 2017-02-06 17:51 举报

    我的composer.phar 在bin/composer/ 那我是不是要这样写 php ../../../bin/composer/composer.phar update

    1 条回复
    评论于 2017-08-31 10:55 回复

    不是,一般你项目根目录都有个composer.json,切换命令到这个位置, 输入命令 composer update 就行了

  • 评论于 2018-01-02 09:38 举报

    请问我没有安装composer,怎么安装七牛云的扩展?

    , 觉得很赞
  • 评论于 2018-01-22 23:50 举报

    最新的7开头的1w多k的七牛扩展上传图片就报错,用之前的9k多kb的正常,不知道乱更新的什么,每次update之后就要重新复制一次之前的七牛扩展

    1 条回复
    评论于 2018-01-23 00:01 回复

    参数比之前多了一个$zone,之前4个参数,现在5个,问题packagist用的谷歌api卡的要死。github上有更新说明,之前没看见

  • 评论于 2018-10-17 15:24 举报

    我真的是服大佬们都这么简洁的吗

您需要登录后才可以评论。登录 | 立即注册